package domain


type AlibabaWdkTradeOrderSuccessCreateOrderPayInfoBO struct {
    /*
        买家用户名     */
    UserName  *string `json:"user_name,omitempty" `

    /*
        买家昵称     */
    UserNick  *string `json:"user_nick,omitempty" `

    /*
        买家电话     */
    Phone  *string `json:"phone,omitempty" `

    /*
        商家会员卡号     */
    MemberCardNum  *string `json:"member_card_num,omitempty" `

    /*
        会员标     */
    MemberTags  *string `json:"member_tags,omitempty" `

}

func (s *AlibabaWdkTradeOrderSuccessCreateOrderPayInfoBO) SetUserName(v string) *AlibabaWdkTradeOrderSuccessCreateOrderPayInfoBO {
    s.UserName = &v
    return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderPayInfoBO) SetUserNick(v string) *AlibabaWdkTradeOrderSuccessCreateOrderPayInfoBO {
    s.UserNick = &v
    return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderPayInfoBO) SetPhone(v string) *AlibabaWdkTradeOrderSuccessCreateOrderPayInfoBO {
    s.Phone = &v
    return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderPayInfoBO) SetMemberCardNum(v string) *AlibabaWdkTradeOrderSuccessCreateOrderPayInfoBO {
    s.MemberCardNum = &v
    return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderPayInfoBO) SetMemberTags(v string) *AlibabaWdkTradeOrderSuccessCreateOrderPayInfoBO {
    s.MemberTags = &v
    return s
}
